// file      : CCF/IDL2/SemanticAction.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : SemanticAction.hpp,v 1.6 2003/10/16 21:46:06 boris Exp

#ifndef CCF_IDL2_SEMANTIC_ACTION_HPP
#define CCF_IDL2_SEMANTIC_ACTION_HPP

#include "CCF/IDL2/SemanticAction/Attribute.hpp"
#include "CCF/IDL2/SemanticAction/Elements.hpp"
#include "CCF/IDL2/SemanticAction/Include.hpp"
#include "CCF/IDL2/SemanticAction/Interface.hpp"
#include "CCF/IDL2/SemanticAction/Member.hpp"
#include "CCF/IDL2/SemanticAction/Module.hpp"
#include "CCF/IDL2/SemanticAction/Operation.hpp"
#include "CCF/IDL2/SemanticAction/Struct.hpp"
#include "CCF/IDL2/SemanticAction/Typedef.hpp"
#include "CCF/IDL2/SemanticAction/TypeId.hpp"

#include "CCF/IDL2/SemanticAction/Factory.hpp"

#endif  // CCF_IDL2_SEMANTIC_ACTION_HPP
