// file      : CCF/Example/CodeGenerationKit/Indentation/IDL/indent_idl.cpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : indent_idl.cpp,v 1.2 2003/07/29 21:45:40 boris Exp

#include "CCF/CodeGenerationKit/IndentationIDL.hpp"
#include "CCF/CodeGenerationKit/IndentationImplanter.hpp"

#include <iostream>

using std::cout;
using std::endl;

int
main ()
{
  Indentation::Implanter<Indentation::IDL> guard (cout);

  cout << "const string s = \"Hello \\\"world;\";";
  cout << "const char c1 = \'\\\'\';";
  cout << "const char c2 = \';\';";

  cout << "interface I {"
       << "void foo ();"
       << "};";
}
